### Method

# Qmi MessageGasDmsGetFirmwareListOutput ref

since: 1.24

#### Declaration [src]

    QmiMessageGasDmsGetFirmwareListOutput*
    qmi_message_gas_dms_get_firmware_list_output_ref (
      QmiMessageGasDmsGetFirmwareListOutput* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.24

#### Return value

Type: `QmiMessageGasDmsGetFirmwareListOutput`

The new reference to `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.